package com.ruoyi.bst.bonus.domain.enums;

import java.util.List;

import com.ruoyi.common.utils.collection.CollectionUtils;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author wjh
 * 2024/8/21
 */
@Getter
@AllArgsConstructor
public enum BonusStatus {

    INVALID("INVALID", "未出账"),
    WAIT_DIVIDE("WAIT_DIVIDE", "待分成"),
    DIVIDEND("DIVIDEND", "已分成");

    private final String status;
    private final String msg;

    public static List<String> valid() {
        return CollectionUtils.map(BonusStatus::getStatus, WAIT_DIVIDE, DIVIDEND);
    }

}
